<?xml version="1.0" encoding="UTF-8" ?>
<testsuite failures="0" time="0.984" errors="9" skipped="0" tests="9" name="dao.ProfessorDaoTestCase">
  <properties>
    <property name="java.vendor" value="Sun Microsystems Inc."/>
    <property name="localRepository" value="D:\desenv\java\m2\repository"/>
    <property name="env.VS90COMNTOOLS" value="D:\Arquivos de programas\Microsoft Visual Studio 9.0\Common7\Tools\"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.management.compiler" value="HotSpot Client Compiler"/>
    <property name="env.PROMPT" value="$P$G"/>
    <property name="env.CSV_HOME" value="C:\Arquivos de programas\CSVTool"/>
    <property name="os.name" value="Windows XP"/>
    <property name="env.CG_LIB64_PATH" value="C:\SDK\Cg\1.5\lib.x64"/>
    <property name="env.FP_NO_HOST_CHECK" value="NO"/>
    <property name="sun.boot.class.path" value="D:\desenv\java\jdk1.6\jre\lib\resources.jar;D:\desenv\java\jdk1.6\jre\lib\rt.jar;D:\desenv\java\jdk1.6\jre\lib\sunrsasign.jar;D:\desenv\java\jdk1.6\jre\lib\jsse.jar;D:\desenv\java\jdk1.6\jre\lib\jce.jar;D:\desenv\java\jdk1.6\jre\lib\charsets.jar;D:\desenv\java\jdk1.6\jre\classes"/>
    <property name="env.COMPUTERNAME" value="NO0203333"/>
    <property name="env.CVS_HOME" value="C:\Arquivos de programas\CSVTool"/>
    <property name="env.WIN32DEPEND_DIR" value="C:\SDK\win32depend"/>
    <property name="env.ALLUSERSPROFILE" value="D:\Documents and Settings\All Users"/>
    <property name="env.GLASSFISH_HOME" value="D:\desenv\java\appserver\glassfish-v2ur2"/>
    <property name="sun.desktop" value="windows"/>
    <property name="java.vm.specification.vendor" value="Sun Microsystems Inc."/>
    <property name="env.GXML_HOME" value="C:\Projects\galileu\p3d-xsd"/>
    <property name="env.OPENSG_HOME" value="C:\SDK\OpenSG_1.8"/>
    <property name="java.runtime.version" value="1.6.0_13-b03"/>
    <property name="env.SERVICEMIX_HOME" value="D:\desenv\java\apache-servicemix-3.3"/>
    <property name="env.HOMEPATH" value="\Documents and Settings\s092"/>
    <property name="user.name" value="s092"/>
    <property name="env.BOOST_NEW" value="C:\SDK\boost_1_37"/>
    <property name="env.CG_INC_PATH" value="C:\SDK\Cg\1.5\include"/>
    <property name="env.PYTHON_HOME" value="C:\SDK\Python26"/>
    <property name="user.language" value="pt"/>
    <property name="env.CODE_SYNTHESIS_ROOT" value="C:\SDK\CodeSynthesis XSD 3.2"/>
    <property name="sun.boot.library.path" value="D:\desenv\java\jdk1.6\jre\bin"/>
    <property name="classworlds.conf" value="D:\desenv\ides\eclipse-workspace\senac-webapp\.metadata\.plugins\org.maven.ide.eclipse\launches\m2conf2845589360967199594.tmp"/>
    <property name="java.version" value="1.6.0_13"/>
    <property name="env.PROCESSOR_IDENTIFIER" value="x86 Family 6 Model 15 Stepping 11, GenuineIntel"/>
    <property name="user.timezone" value="Asia/Karachi"/>
    <property name="env.TEMP" value="D:\DOCUME~1\s092\CONFIG~1\Temp"/>
    <property name="sun.arch.data.model" value="32"/>
    <property name="java.endorsed.dirs" value="D:\desenv\java\jdk1.6\jre\lib\endorsed"/>
    <property name="sun.cpu.isalist" value="pentium_pro+mmx pentium_pro pentium+mmx pentium i486 i386 i86"/>
    <property name="env.HOMEDRIVE" value="D:"/>
    <property name="sun.jnu.encoding" value="Cp1252"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="env.OSG_DIR" value="C:\SDK\OpenSceneGraph\2.6_vc8_win32_dynamic"/>
    <property name="env.CPPUNIT_HOME" value="C:\sdk\envdepend\cppunit"/>
    <property name="file.separator" value="\"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="env.QTDIR" value="C:\SDK\Qt"/>
    <property name="java.class.version" value="50.0"/>
    <property name="user.country" value="BR"/>
    <property name="java.home" value="D:\desenv\java\jdk1.6\jre"/>
    <property name="env.CG_LIB_PATH" value="C:\SDK\Cg\1.5\lib"/>
    <property name="env.CODE_SYNTHESIS_HOME" value="C:\SDK\CodeSynthesis XSD 3.2"/>
    <property name="env.APPDATA" value="D:\Documents and Settings\s092\Dados de aplicativos"/>
    <property name="java.vm.info" value="mixed mode, sharing"/>
    <property name="env.ComSpec" value="C:\WINDOWS\system32\cmd.exe"/>
    <property name="env.OS" value="Windows_NT"/>
    <property name="env.CommonProgramFiles" value="C:\Arquivos de programas\Arquivos comuns"/>
    <property name="os.version" value="5.1"/>
    <property name="env.VR_PROJECTS" value="C:\Projects"/>
    <property name="path.separator" value=";"/>
    <property name="env.CG_BIN64_PATH" value="C:\SDK\Cg\1.5\bin.x64"/>
    <property name="java.vm.version" value="11.3-b02"/>
    <property name="env.USERPROFILE" value="D:\Documents and Settings\s092"/>
    <property name="user.variant" value=""/>
    <property name="env.JAVA_HOME" value="D:\desenv\java\jdk1.6"/>
    <property name="java.awt.printerjob" value="sun.awt.windows.WPrinterJob"/>
    <property name="env.TMP" value="D:\DOCUME~1\s092\CONFIG~1\Temp"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="awt.toolkit" value="sun.awt.windows.WToolkit"/>
    <property name="env.GRAPHVIZ_HOME" value="C:\Arquivos de programas\Graphviz2.20"/>
    <property name="env.OPENSG" value="C:\SDK\OpenSG_1.8\lib"/>
    <property name="user.home" value="D:\Documents and Settings\s092"/>
    <property name="env.SESSIONNAME" value="Console"/>
    <property name="java.specification.vendor" value="Sun Microsystems Inc."/>
    <property name="env.RoxioCentral" value="C:\Arquivos de programas\Arquivos comuns\Roxio Shared\9.0\Roxio Central33\"/>
    <property name="env.CG_BIN_PATH" value="C:\SDK\Cg\1.5\bin"/>
    <property name="env.SDK_DIR" value="C:\SDK"/>
    <property name="env.VS80COMNTOOLS" value="D:\Arquivos de programas\Microsoft Visual Studio 8\Common7\Tools\"/>
    <property name="env.MULE_HOME" value="D:\desenv\java\mule-2.1.2"/>
    <property name="java.vendor.url" value="http://java.sun.com/"/>
    <property name="java.library.path" value="D:\desenv\java\jdk1.6\bin;.;C:\WINDOWS\Sun\Java\bin;C:\WINDOWS\system32;C:\WINDOWS;d:\desenv\graphics\imagemagick-6.4.5-q16;C:\SDK\CodeSynthesis XSD 3.2\bin\;D:\desenv\graphics\Microsoft DirectX SDK (November 2007)\Utilities\Bin\x86;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;G:\INGRES32\INGRES\BIN;G:\INGRES32\INGRES\UTILITY;G:\CENTURA\DEPLOY;C:\Arquivos de programas\Arquivos comuns\Autodesk Shared;C:\Arquivos de programas\Autodesk\DWG TrueView;G:\ORACLE\ORA92\BIN;C:\Arquivos de programas\Arquivos comuns\Roxio Shared\DLLShared\;C:\Arquivos de programas\Microsoft SQL Server\90\Tools\binn\;D:\desenv\doxygen\bin;D:\desenv\java\jdk1.6\bin;D:\desenv\java\apache\ant1.7.0\bin;C:\SDK\Cg\1.5\bin;C:\SDK\OpenSceneGraph\2.4_vc8_win32_dynamic\bin;C:\Projects\tecosg\bin\win32;C:\SDK\win32depend\bin\;C:\SDK\Qt\4.3.1\bin\;C:\SDK\Python26;C:\Projects\vrbase\bin\;C:\SDK\OpenSG_1.8\lib;C:\SDK\luabind\lib;C:\SDK\lua5.1\lib;D:\desenv\java\mule-2.1.2\bin;D:\desenv\java\appserver\glassfish-v2ur2\bin;D:\desenv\java\maven2\bin;D:\desenv\java\apache-servicemix-3.3\bin;D:\desenv\java\apache-activemq-5.1.0\bin;D:\desenv\java\gigaspaces-xap-community-6.6.3-ga\bin;C:\Arquivos de programas\SlikSvn\bin\;C:\Arquivos de programas\Microsoft SQL Server\100\Tools\Binn\;C:\Arquivos de programas\Microsoft SQL Server\100\DTS\Binn\;C:\Arquivos de programas\TortoiseSVN\bin;D:\desenv\graphics\ParaView3.2.1\bin;C:\Arquivos de programas\CVSNT\;C:\Arquivos de programas\SSH Communications Security\SSH Secure Shell;D:\desenv\bin;C:\cygwin\bin;C:\Arquivos de programas\CollabNet Subversion;C:\SDK\CMake_2.6\bin"/>
    <property name="env.NUMBER_OF_PROCESSORS" value="2"/>
    <property name="env.LUA_HOME" value="C:\sdk\envdepend\lua"/>
    <property name="env.USERDNSDOMAIN" value="PETROBRAS.BIZ"/>
    <property name="java.vm.vendor" value="Sun Microsystems Inc."/>
    <property name="env.BOOST_ROOT" value="C:\sdk\envdepend\boost"/>
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment"/>
    <property name="maven.home" value="EMBEDDED"/>
    <property name="java.class.path" value="/D:/desenv/ides/eclipse-jee/plugins/org.maven.ide.components.maven_embedder_2.1.0.20080530-2300/jars/plexus-classworlds-1.2-alpha-12.jar"/>
    <property name="env.DXSDK_DIR" value="D:\desenv\graphics\Microsoft DirectX SDK (November 2007)\"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="env.PARAVIEW_HOME" value="D:\desenv\graphics\ParaView3.2.1"/>
    <property name="env.windir" value="C:\WINDOWS"/>
    <property name="env.LOGONSERVER" value="\\SPTBRDC03"/>
    <property name="java.vm.specification.version" value="1.0"/>
    <property name="env.PROCESSOR_ARCHITECTURE" value="x86"/>
    <property name="env.AS_ADMIN_USER" value="admin"/>
    <property name="m2eclipse.workspace.state" value="D:\desenv\ides\eclipse-workspace\senac-webapp\.metadata\.plugins\org.maven.ide.eclipse\workspacestate.properties"/>
    <property name="sun.os.patch.level" value="Service Pack 3"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="env.ProgramFiles" value="C:\Arquivos de programas"/>
    <property name="env.ANT_HOME" value="D:\desenv\java\apache\ant1.7.0"/>
    <property name="surefire.test.class.path" value="D:\XIMK_Local\XAulas\WebApp\exemplos\spring\4-academicNetPomSpring\academicNetJar\target\test-classes;D:\XIMK_Local\XAulas\WebApp\exemplos\spring\4-academicNetPomSpring\academicNetJar\target\classes;D:\desenv\java\m2\repository\junit\junit\4.5\junit-4.5.jar;D:\desenv\java\m2\repository\postgresql\postgresql\8.2-507.jdbc3\postgresql-8.2-507.jdbc3.jar;D:\desenv\java\m2\repository\org\dbunit\dbunit\2.2\dbunit-2.2.jar;D:\desenv\java\m2\repository\junit-addons\junit-addons\1.4\junit-addons-1.4.jar;D:\desenv\java\m2\repository\xerces\xercesImpl\2.6.2\xercesImpl-2.6.2.jar;D:\desenv\java\m2\repository\xerces\xmlParserAPIs\2.6.2\xmlParserAPIs-2.6.2.jar;D:\desenv\java\m2\repository\poi\poi\2.5.1-final-20040804\poi-2.5.1-final-20040804.jar;D:\desenv\java\m2\repository\commons-collections\commons-collections\3.1\commons-collections-3.1.jar;D:\desenv\java\m2\repository\commons-lang\commons-lang\2.1\commons-lang-2.1.jar;D:\desenv\java\m2\repository\commons-logging\commons-logging\1.0.4\commons-logging-1.0.4.jar;"/>
    <property name="java.io.tmpdir" value="D:\DOCUME~1\s092\CONFIG~1\Temp\"/>
    <property name="env.ACTIVEMQ_HOME" value="D:\desenv\java\apache-activemq-5.1.0"/>
    <property name="env.PROCESSOR_REVISION" value="0f0b"/>
    <property name="java.vendor.url.bug" value="http://java.sun.com/cgi-bin/bugreport.cgi"/>
    <property name="env.MAVEN_OPTS" value="-Xmx512m -XX:MaxPermSize=256"/>
    <property name="env.SystemRoot" value="C:\WINDOWS"/>
    <property name="java.awt.graphicsenv" value="sun.awt.Win32GraphicsEnvironment"/>
    <property name="os.arch" value="x86"/>
    <property name="java.ext.dirs" value="D:\desenv\java\jdk1.6\jre\lib\ext;C:\WINDOWS\Sun\Java\lib\ext"/>
    <property name="user.dir" value="D:\XIMK_Local\XAulas\WebApp\exemplos\spring\4-academicNetPomSpring\academicNetJar"/>
    <property name="env.MAVEN_HOME" value="D:\desenv\java\maven2"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.name" value="Java HotSpot(TM) Client VM"/>
    <property name="env.DOXYGEN_HOME" value="D:\desenv\doxygen"/>
    <property name="env.PATHEXT" value=".COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH"/>
    <property name="env.Path" value="d:\desenv\graphics\imagemagick-6.4.5-q16;C:\SDK\CodeSynthesis XSD 3.2\bin\;D:\desenv\graphics\Microsoft DirectX SDK (November 2007)\Utilities\Bin\x86;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;G:\INGRES32\INGRES\BIN;G:\INGRES32\INGRES\UTILITY;G:\CENTURA\DEPLOY;C:\Arquivos de programas\Arquivos comuns\Autodesk Shared;C:\Arquivos de programas\Autodesk\DWG TrueView;G:\ORACLE\ORA92\BIN;C:\Arquivos de programas\Arquivos comuns\Roxio Shared\DLLShared\;C:\Arquivos de programas\Microsoft SQL Server\90\Tools\binn\;D:\desenv\doxygen\bin;D:\desenv\java\jdk1.6\bin;D:\desenv\java\apache\ant1.7.0\bin;C:\SDK\Cg\1.5\bin;C:\SDK\OpenSceneGraph\2.4_vc8_win32_dynamic\bin;C:\Projects\tecosg\bin\win32;C:\SDK\win32depend\bin\;C:\SDK\Qt\4.3.1\bin\;C:\SDK\Python26;C:\Projects\vrbase\bin\;C:\SDK\OpenSG_1.8\lib;C:\SDK\luabind\lib;C:\SDK\lua5.1\lib;D:\desenv\java\mule-2.1.2\bin;D:\desenv\java\appserver\glassfish-v2ur2\bin;D:\desenv\java\maven2\bin;D:\desenv\java\apache-servicemix-3.3\bin;D:\desenv\java\apache-activemq-5.1.0\bin;D:\desenv\java\gigaspaces-xap-community-6.6.3-ga\bin;C:\Arquivos de programas\SlikSvn\bin\;C:\Arquivos de programas\Microsoft SQL Server\100\Tools\Binn\;C:\Arquivos de programas\Microsoft SQL Server\100\DTS\Binn\;C:\Arquivos de programas\TortoiseSVN\bin;D:\desenv\graphics\ParaView3.2.1\bin;C:\Arquivos de programas\CVSNT\;C:\Arquivos de programas\SSH Communications Security\SSH Secure Shell;D:\desenv\bin;C:\cygwin\bin;C:\Arquivos de programas\CollabNet Subversion;C:\SDK\CMake_2.6\bin"/>
    <property name="basedir" value="D:\XIMK_Local\XAulas\WebApp\exemplos\spring\4-academicNetPomSpring\academicNetJar"/>
    <property name="maven.mode.standalone" value="true"/>
    <property name="env.ENVDEPEND_DIR" value="C:\sdk\envdepend"/>
    <property name="env.CMAKE_HOME" value="C:\SDK\CMake_2.6"/>
    <property name="env.USERNAME" value="s092"/>
    <property name="env.SystemDrive" value="C:"/>
    <property name="file.encoding" value="Cp1252"/>
    <property name="env.GIGASPACES_HOME" value="D:\desenv\java\gigaspaces-xap-community-6.6.3-ga"/>
    <property name="env.USERDOMAIN" value="PETROBRAS"/>
    <property name="java.specification.version" value="1.6"/>
    <property name="env.LUABIND_HOME" value="C:\sdk\envdepend\luabind"/>
    <property name="env.PROCESSOR_LEVEL" value="6"/>
  </properties>
  <testcase time="0.266" classname="dao.ProfessorDaoTestCase" name="testVerificarProfessoresIniciais">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at org.dbunit.database.statement.AbstractBatchStatement.&lt;init&gt;(AbstractBatchStatement.java:39)
	at org.dbunit.database.statement.SimpleStatement.&lt;init&gt;(SimpleStatement.java:40)
	at org.dbunit.database.statement.PreparedStatementFactory.createBatchStatement(PreparedStatementFactory.java:44)
	at org.dbunit.operation.DeleteAllOperation.execute(DeleteAllOperation.java:74)
	at org.dbunit.operation.CompositeOperation.execute(CompositeOperation.java:67)
	at dao.ProfessorDaoTestCase.testVerificarProfessoresIniciais(ProfessorDaoTestCase.java:62)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
  <testcase time="0.156" classname="dao.ProfessorDaoTestCase" name="testAdicionarProfessor">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at dao.ProfessorDAO.adicionarProfessor(ProfessorDAO.java:25)
	at dao.ProfessorDaoTestCase.testAdicionarProfessor(ProfessorDaoTestCase.java:76)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDAO.adicionarProfessor(ProfessorDAO.java:22)
	at dao.ProfessorDaoTestCase.testAdicionarProfessor(ProfessorDaoTestCase.java:76)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
  <testcase time="0.032" classname="dao.ProfessorDaoTestCase" name="testAdicionarMesmoProfessor">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at dao.ProfessorDAO.adicionarProfessor(ProfessorDAO.java:25)
	at dao.ProfessorDaoTestCase.testAdicionarMesmoProfessor(ProfessorDaoTestCase.java:97)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDAO.adicionarProfessor(ProfessorDAO.java:22)
	at dao.ProfessorDaoTestCase.testAdicionarMesmoProfessor(ProfessorDaoTestCase.java:97)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
  <testcase time="0.109" classname="dao.ProfessorDaoTestCase" name="testLeProfessor">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:155)
	at dao.ProfessorDaoTestCase.testLeProfessor(ProfessorDaoTestCase.java:103)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:152)
	at dao.ProfessorDaoTestCase.testLeProfessor(ProfessorDaoTestCase.java:103)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
  <testcase time="0.078" classname="dao.ProfessorDaoTestCase" name="testListarProfessoresPorNome">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:155)
	at dao.ProfessorDaoTestCase.testListarProfessoresPorNome(ProfessorDaoTestCase.java:112)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:152)
	at dao.ProfessorDaoTestCase.testListarProfessoresPorNome(ProfessorDaoTestCase.java:112)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
  <testcase time="0.109" classname="dao.ProfessorDaoTestCase" name="testAssociacaoProfessorUsuario">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:155)
	at dao.ProfessorDaoTestCase.testAssociacaoProfessorUsuario(ProfessorDaoTestCase.java:132)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:152)
	at dao.ProfessorDaoTestCase.testAssociacaoProfessorUsuario(ProfessorDaoTestCase.java:132)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
  <testcase time="0.11" classname="dao.ProfessorDaoTestCase" name="testAtualizaProfessor">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at dao.ProfessorDAO.listarProfessoresPorNome(ProfessorDAO.java:197)
	at dao.ProfessorDaoTestCase.testAtualizaProfessor(ProfessorDaoTestCase.java:185)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDAO.listarProfessoresPorNome(ProfessorDAO.java:194)
	at dao.ProfessorDaoTestCase.testAtualizaProfessor(ProfessorDaoTestCase.java:185)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
  <testcase time="0.047" classname="dao.ProfessorDaoTestCase" name="testObtemUltimaMatricula">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:155)
	at dao.ProfessorDaoTestCase.testObtemUltimaMatricula(ProfessorDaoTestCase.java:206)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:152)
	at dao.ProfessorDaoTestCase.testObtemUltimaMatricula(ProfessorDaoTestCase.java:206)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
  <testcase time="0.062" classname="dao.ProfessorDaoTestCase" name="testRemoverProfessor">
    <error type="java.lang.NullPointerException">java.lang.NullPointerException
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:155)
	at dao.ProfessorDaoTestCase.testRemoverProfessor(ProfessorDaoTestCase.java:221)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</error>
    <system-out>Erro de conexão com o banco
Erro de conexão com o banco
</system-out>
    <system-err>org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDaoTestCase.setUp(ProfessorDaoTestCase.java:46)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
org.postgresql.util.PSQLException: FATAL: database &quot;academicNet&quot; does not exist
	at org.postgresql.core.v3.ConnectionFactoryImpl.readStartupMessages(ConnectionFactoryImpl.java:443)
	at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:98)
	at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:66)
	at org.postgresql.jdbc2.AbstractJdbc2Connection.&lt;init&gt;(AbstractJdbc2Connection.java:125)
	at org.postgresql.jdbc3.AbstractJdbc3Connection.&lt;init&gt;(AbstractJdbc3Connection.java:30)
	at org.postgresql.jdbc3.Jdbc3Connection.&lt;init&gt;(Jdbc3Connection.java:24)
	at org.postgresql.Driver.makeConnection(Driver.java:382)
	at org.postgresql.Driver.connect(Driver.java:260)
	at java.sql.DriverManager.getConnection(DriverManager.java:582)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at util.DBUtil.getConnection(DBUtil.java:33)
	at dao.ProfessorDAO.listarProfessores(ProfessorDAO.java:152)
	at dao.ProfessorDaoTestCase.testRemoverProfessor(ProfessorDaoTestCase.java:221)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:232)
	at junit.framework.TestSuite.run(TestSuite.java:227)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:79)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:62)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:338)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:997)
</system-err>
  </testcase>
</testsuite>